import request from "@/utils/request";

export function getList(params) {
  return request({
    url: "dashboard/shop",
    method: "get",
    params
  });
}

export function getshopmt(params) {
  return request({
    url: "dashboard/shopmt",
    method: "get",
    params
  });
}

export function changephone(data) {
  return request({
    url: "dashboard/shop/changephone",
    method: "put",
    data
  });
}

export function getAllBanner() {
  return request({
    url: "dashboard/banner/list/shop_banner",
    method: "get"
  });
}

// 设置banner
export function setStoreBanner(data) {
  return request({
    url: "mer/shop/banner/set",
    method: "post",
    data
  });
}

//新建门店
export function createShop(data) {
  return request({
    url: "dashboard/shop",
    method: "post",
    data
  });
}

//门店二维码下载
export function downLoadImg(data) {
  return request({
    url: "dashboard/shop/menu",
    method: "post",
    data,
    responseType: "arraybuffer"
  });
}
// 新建sku
export function createSku(data) {
  return request({
    url: "dashboard/sku",
    method: "post",
    data
  });
}

// 修改门店信息
export function changeShop(data) {
  return request({
    url: "dashboard/shop",
    method: "put",
    data
  });
}

// 获取统计数据
export function getDashboradData(data) {
  return request({
    url: "dashboard/datamarket",
    method: "post",
    data
  });
}

export function setHomeBanner(data) {
  return request({
    url: "home_banner",
    method: "put",
    data
  });
}
